
# CHI_OPTIMIZE

AC_DEFUN([CHI_OPTIMIZE],
[AC_ARG_ENABLE(optimize-chi,
	[AS_HELP_STRING([--enable-optimize-chi[[=BITS]]], [enable optimizing chi for BITS bit platform])])

if test "$enable_optimize_chi" = yes ; then
	# Try to take an educated guess about whether we are 64 or 32 bit.
	if uname -a | grep -q "x86_64" ; then
		enable_optimize_chi=64
	else
		enable_optimize_chi=32
	fi
fi

AM_CONDITIONAL([CHI32], test "$enable_optimize_chi" = 32)
AM_CONDITIONAL([CHI64], test "$enable_optimize_chi" = 64)
])
