define
(
 	$MY_IP 128.62.71.46,
	$MY_PORT 7654,
	$FINAL_REALM_IPS 15.17.9.1/20,
	$I2_HOST_IP 127.0.0.1,
	$I2_HOST_PORT 7662
)

tun::KernelTun
	($FINAL_REALM_IPS)
	-> cip::CheckIPHeader
	-> UDPIPEncap($MY_IP, $MY_PORT, $I2_HOST_IP, $I2_HOST_PORT)
	-> p::IPPrint
	-> Queue
	-> Socket("UDP", $I2_HOST_IP, $I2_HOST_PORT);

cip[1] -> Print("Header check failed!") -> Discard;
tun[1] -> Print("Something went horribly wrong!") -> Discard;
