require(icing)

AddressInfo(eth1 00:00:00:00:00:00,
	    nf2c0 00:00:ca:fe:00:00)

define(
       $SOURCE_REALM \< 5A 5A 5C 5C 25 D1 75 57 92 01 C2 9D 24 74 97 B7 C5 BC D8 19 \>,
       $FORWARDER_REALM  \< F1 08 6E EE 87 6B F5 98 EB C9 F1 DA 3C B7 92 11 98 54 B7 59 \>,
       $RCVR_REALM \< 28 88 A8 5E 25 9F 08 B7 7F F1 A2 BA A2 2E B7 4F C9 22 95 4B \>,
   $SECRET_FWDER \< 33 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 \>,
   $SECRET_RCVR  \< 33 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 \>,
   $PRIVK \< 04 3B D5 D1 D1 59 61 0F 56 9D 12 2F ED B6 C0 AE F4 56 E3 BB AF \>
   )

IcingSource(SECRET1 $SECRET_FWDER,
	    SECRET2 $SECRET_RCVR,
	    REALM0 $SOURCE_REALM,
	    REALM1 $FORWARDER_REALM,
	    REALM2 $RCVR_REALM,
		PRIVK $PRIVK)
    -> EtherEncap(0x9090, eth1:eth, nf2c0:eth)
    -> Print(LENGTH 1024)
    -> SimpleQueue()
    -> ToDevice(nf2c0)
