#include "async.h"

inline void
convertFromHex(const uint8_t *string, uint8_t *data, size_t size)
{
	char hex[3];
	hex[2] = '\0';
	
	for(size_t i = 0; i < size; i++)
	{
		long byte;
		memcpy(hex, &string[i*2], 2);
		byte = strtol(hex, NULL, 16);
		data[i] = byte & 0xFF;
	}
}

inline void
convertFromHex(const str &string, uint8_t *data)
{
	convertFromHex((const uint8_t *)string.cstr(), data, string.len() / 2);
}
