#ifndef PSCLIENT_H_
#define PSCLIEN_H_
#include "util.h"
#include "parseopt.h"
#include "icp_config.h"
#include "icinghdr.h"
#include "icingsec.h"
#include "tt.h"

str filename, server, hostname;
uint16_t port;
bool ps_lookup = 0;
bool receiver;
keydb_t keydb;
ps_partialpath_vec partialpaths;
uint32_t payload_len, delay, times_to_send;
int32_t _fd, _recvfd;
sockaddr_in _addr;
FILE *out;
ptr<aclnt> clnt;
time_it e2et, pingt, patht;

Path *convert_to_path(icp_path &);
POC *get_pocs(icp_path &);
void build_packet(icp_path &, uint8_t **, uint32_t *);
uint64_t receive_response();
uint64_t send_packet(icp_path);
void handle_result(ptr<ps_reply>, uint64_t);
void get_reply(ptr<ps_reply>, uint64_t, clnt_stat);
void make_call();
void connected(int32_t fd);
void add_partial(keydb_t *, vec<str>, str, bool *);
void config(str, keydb_t *);

#endif 
