#ifndef SIRPRECEIVERDELEGATE_H_
#define SIRPRECEIVERDELEGATE_H_

#include "sirpreceiver.h"

class SIRPReceiver; // Break cyclic dependencies, when SIRPReceiver #includes this file

/** This is a delegate class, implemented as an abstract base class, which must be "implemented"(subclassed) by any class wanting to recieve SIRP updates. */
class SIRPReceiverDelegate {
public:
  /** The function which will be called whenever a SIRP update is recieved */
  virtual void SIRPRecieverDidReceiveUpdate(SIRPReceiver &receiver, ps_partialpath_vec& pathList) = 0;
};


#endif /* SIRPRECEIVERDELEGATE_H_ */
