#Sets up aws{1-5}
require 'net/ssh'

NUM_HOSTS=6
CLICK_ENV="LD_LIBRARY_PATH=/home/ubuntu/sfslite-ecc_install/lib/sfslite-1.2/shared:/home/ubuntu/controlplane/lib:/home/ubuntu/jsoncpp/libs/linux-gcc-4.4.5 CLICKPATH=/home/ubuntu/icing/code/click"

def startupClick(host,cmd)
  puts "Running " + "ssh -n -f #{host} 'cd /home/ubuntu/controlplane/eval/config/nsdi10 && sudo bash -c \"#{CLICK_ENV} nohup /home/ubuntu/click_install/bin/click #{cmd} &\" && exit '"
  system("ssh -n -f #{host} 'cd /home/ubuntu/controlplane/eval/config/nsdi10 && sudo bash -c \"#{CLICK_ENV} nohup /home/ubuntu/click_install/bin/click #{cmd} &\" && exit '")
end
internal_ips = []
1.upto(NUM_HOSTS) do |hostNum|
  host = "aws#{hostNum}"
  #NOTE totally hackish, just did killall click below
  internal_ips << `ssh #{host} 'sudo killall click ; ifconfig eth0 | grep inet | grep -v inet6 | cut -d ":" -f 2 | cut -d " " -f 1'`.strip
end

# Setup aws1
# - Run pathserver
# - Run click gateway
# - Setup gateway route

puts "Setting up pathserver..."

# Run pathserver
system("ssh -n -f aws6 'cd ~/controlplane/bin && (nohup ~/controlplane/bin/pathserver ~/controlplane/eval/config/nsdi10/pathserver.config &) && exit'")

puts "Setting up gateway..."

# Run gateway'
startupClick('aws1',"CURRENT_REALM_IP=#{internal_ips[0]} NEXT_REALM_IP=#{internal_ips[1]} PATHSERVER_IP=#{internal_ips[5]} USE_MIN_PATH=true PocomonGateway.click")

# Setup aws{2-NUM_HOSTS-2}
# - Run forwarder for aws_i

2.upto(NUM_HOSTS-2) do |i|
  puts "Setting up host aws#{i}"
  if i == 2
      # This is for path selection - we may skip AWS3, so need AWS2 and AWS4 to be aware of this
      startupClick("aws#{i}", "PREV_REALM_IP=#{internal_ips[i-2]} CURRENT_REALM_IP=#{internal_ips[i-1]} NEXT_REALM_IP=#{internal_ips[i]} NEXT_NEXT_REALM_IP=#{internal_ips[i+1]} aws#{i}-mikemiller.click")
  elsif i == 4
      startupClick("aws#{i}", "PREV_REALM_IP=#{internal_ips[i-2]} CURRENT_REALM_IP=#{internal_ips[i-1]} NEXT_REALM_IP=#{internal_ips[i]} PREV_PREV_REALM_IP=#{internal_ips[i-3]} aws#{i}-mikemiller.click")
  else
        startupClick("aws#{i}", "PREV_REALM_IP=#{internal_ips[i-2]} CURRENT_REALM_IP=#{internal_ips[i-1]} NEXT_REALM_IP=#{internal_ips[i]} aws#{i}-mikemiller.click")
  end
end
  


#$CURRENT_REALM_IP
#$PREV_REALM_IP,
#$NEXT_REALM_IP
#$CURRENT_REALM_MAC (only on deencap)


# Setup aws5
#  - Setup deencapsulator

# Get public pathserver IP
pathserverIP = `ssh aws1 "curl www.whatismyip.com/automation/n09230945.asp"`.strip

puts "Getting gateway+MAC"
#Get gateway+MAC
aws5Gateway = `ssh aws5 "route -n | grep -v lo | awk '{print \\$2}' | tail -n+3 | grep -v 0.0.0.0"`.strip
aws5MAC = `ssh aws5 "ifconfig | grep eth0 | awk '{ print \\$5 }'"`.strip

puts "Setting up deencapsulator"
#Spawn deeencapsulator
startupClick('aws5',"PREV_REALM_IP=#{internal_ips[3]} CURRENT_REALM_IP=#{internal_ips[4]} CURRENT_REALM_MAC=#{aws5MAC} GATEWAY_IP=#{aws5Gateway} PATHSERVER_IP=#{internal_ips[5]} NEXT_REALM_IP=#{internal_ips[3]} USE_MIN_PATH=false deencapsulator_aws5.click")

puts "Setting up gateway route on aws1..."

puts "Going to sleep for 1"
sleep 1
puts "Ok, ready to go"

# Setup gateway route
aws1Commands = []
aws1Commands << "sudo route del #{internal_ips[4]}"
aws1Commands << "sudo route add -host #{internal_ips[4]} gw 1.0.0.1 tun0"
`ssh aws1 "#{aws1Commands.join(' ; ')}"`

#Setup deencapsulator gateway route for bidirectional support
aws5Commands = []
aws5Commands << "sudo route del #{internal_ips[0]}"
aws5Commands << "sudo route add -host #{internal_ips[0]} gw 1.0.0.1 tun0"
`ssh aws5 "#{aws5Commands.join(' ; ')}"`

#sudo route del REMOTE_IP
#sudo route add -host REMOTE_IP gw 127.0.0.1 lo



