//Should be run on beirut, which will act as the gateway

require(icing)

AnnotationInfo(DST_ETHER 17 6)
AnnotationInfo(CHECK_OVERLAP PAINT DST_ETHER)

define(
	$CURRENT_REALM \< E9A3467B5326C91885265F1C36812184FA071932 \>,
   $PRIVK \< 04817E175CF74E6E78D6A12FFA5E29C0F0BE68EC25 \>,
   $K \< 33 33 33 33 33 33 33 33 33 33 33 33 33 33 33 33 \>,

	$REALM_1 \< 3ACAA261E5D83DBCC15694D3733B5FDD9745E202 \>,

	$PORT 7662,	
	)
con::IcingConfig
  ( K  $K,
    OUR_REALMID $CURRENT_REALM,
//May not need next two lines?
      OUR_PRIV_K $PRIVK,
    REALMTABLE  rt,
    MODE Overlay)

rt::RealmTable(con)

tun::KernelTun(1.0.0.1/8);
// 171.64.74.50
tun
	-> CheckIPHeader
	-> StoreIPAddress($CURRENT_REALM_IP, src)
//	-> IPFilter(allow udp, deny all)
//	-> IPPrint	
//	-> SetUDPChecksum
	-> gw::PocomonGatewayProcessor(NEXTHOP $NEXT_REALM_IP, HOSTNAME austin, SERVER $PATHSERVER_IP, PORT 7265, CONFIGFILE gateway_aws1.json, USE_MIN_PATH $USE_MIN_PATH)
//	-> Print("gw")
//	-> IcingPrint
	-> UDPIPEncap2($CURRENT_REALM_IP, $PORT, DST_ANNO, DST_PORT_ANNO)
    -> IPFragmenter(1500)
    -> SimpleQueue()
    -> RawSocket("UDP")

// Deencapsulate
udpReceive::Socket("udp", 0.0.0.0, $PORT)
udpReceive
//    -> IcingPrint()
    -> ic::IcingCheck()
    -> cc::CheckCurrentRealm(CONFIG con)
    -> vv::VtagVerify(CONFIG con)
    -> PocomonDeencapsulatorProcessor
    -> ch::CheckIPHeader
    -> SetIPAddress(1.0.0.1)
    -> StoreIPAddress(dst)
    -> tun;
