//Should be run on beirut, which will act as the gateway

require(icing)

AnnotationInfo(DST_ETHER 17 6)
AnnotationInfo(CHECK_OVERLAP PAINT DST_ETHER)

define(
	$CURRENT_REALM \< E9A3467B5326C91885265F1C36812184FA071932 \>,
   $PRIVK \< 04817E175CF74E6E78D6A12FFA5E29C0F0BE68EC25 \>,
   $K \< 33 33 33 33 33 33 33 33 33 33 33 33 33 33 33 33 \>,

	$REALM_1 \< 3ACAA261E5D83DBCC15694D3733B5FDD9745E202 \>,

	$PORT 7662,	
	)
con::IcingConfig
  ( K  $K,
    OUR_REALMID $CURRENT_REALM,
//May not need next two lines?
      OUR_PRIV_K $PRIVK,
    REALMTABLE  rt,
    MODE Overlay)

rt::RealmTable(con)

eth1::ToDevice(eth1);
tun::KernelTun(1.0.0.1/8);
tun
	-> CheckIPHeader
	-> gw::PocomonGatewayProcessor(NEXTHOP 127.0.0.1, HOSTNAME austin, SERVER 127.0.0.1, PORT 7265, CONFIGFILE gateway_aws1.json, USE_MIN_PATH 0)
	-> IcingPrint
	-> EtherEncap(0x9090, 00:22:19:d6:1d:54, 00:4e:46:32:43:00)  	
	-> SimpleQueue()
	-> Print("Sending to eth1")
	-> eth1

eth1[0] -> Print("SUCCESSFULLY SENT") -> Discard
eth1[1] -> Print("COULD NOT SEND") -> Discard

// Deencapsulate
/*FromDevice(eth1)
    -> Strip(14)
//    -> IcingPrint()
    -> ic::IcingCheck()
    -> cc::CheckCurrentRealm(CONFIG con)
    -> vv::VtagVerify(CONFIG con)
    -> PocomonDeencapsulatorProcessor
    -> ch::CheckIPHeader
    -> SetIPAddress(1.0.0.1)
    -> StoreIPAddress(dst)
    -> tun;
*/
