require(icing)

AnnotationInfo(DST_ETHER 17 6)
AnnotationInfo(CHECK_OVERLAP PAINT DST_ETHER)

define(
	$K \< 37373737373737373737373737373737 \>,
	$CURRENT_REALM \< F1C778C19477884261D0F23A037D0CBC215D836D \>,
	$PRIVK \< 0414A4577B30EAF81202E07FA57CC93659AA9994ED \>,

	$REALM_0 \< 254F23337AC4B6422E39480D301A08726EE7752E \>,

	$PORT 7662,
	)

rt::RealmTable(con)

con::IcingConfig
  ( K  $K,
    OUR_REALMID $CURRENT_REALM,
//May not need next two lines?
	OUR_PRIV_K $PRIVK,
    REALMTABLE  rt,
    MODE Overlay)

// Deencapsulate
FromHost(fake0) -> Discard;
tun::KernelTun(1.0.0.1/8);
//tun[0] -> Print("UHOH") -> Discard;
tun[1] -> Print("UHOH2") -> Discard;

FromDevice(eth1)
	-> Print("GOT SOME STUFF")
//    -> Print('IO Recv')
    -> IcingPrint()
    -> Strip(14)
    -> ic::IcingCheck()
    -> cc::CheckCurrentRealm(CONFIG con)
    -> vv::VtagVerify(CONFIG con)
    -> PocomonDeencapsulatorProcessor
    -> ch::CheckIPHeader
    -> SetIPAddress(1.0.0.1)
    -> StoreIPAddress(dst)
//    -> StoreIPAddress(1.0.0.2, src)
//      -> Print("To tun")
    -> tun;

// Go the other way(encapsulate)
tun
	-> CheckIPHeader
	-> gw::PocomonGatewayProcessor(NEXTHOP 127.0.0.1, HOSTNAME stanford, SERVER 128.83.143.54, PORT 7265, CONFIGFILE gateway_aws5.json, USE_MIN_PATH 0)
//	-> IcingPrint
  -> EtherEncap(0x9090, 00:22:19:d6:23:39, 00:4e:46:32:43:01)  	
  -> SimpleQueue()
  -> ToDevice(eth1)

//ic[1] -> Print('icing check failed') -> Discard
//cc[1] -> Print('realm check failed') -> Discard
//ic2[1] -> Print('icing check failed') -> Discard
//vv[1] -> Print('vtags failed') -> IcingPrint() -> Discard

// hard-coded dummy value
ControlSocket("TCP", 4662)
