require(icing)

AnnotationInfo(DST_ETHER 17 6)
AnnotationInfo(CHECK_OVERLAP PAINT DST_ETHER)

define(
	$CURRENT_REALM \< 254F23337AC4B6422E39480D301A08726EE7752E \>,
	$PRIVK \< 051A699CFF1E5A391E7D9A08DA37D95407E00AA4C5 \>,
	$K \< 36363636363636363636363636363636 \>,

	$REALM_0 \< DCB507F713E9CB734AD5813C5674A217DCF3127B \>,
	$REALM_1 \< F1C778C19477884261D0F23A037D0CBC215D836D \>,

	$PREVIOUS_IP 64.57.23.82,
	$SRC_IP 64.57.23.42,
	$DEST_IP 128.83.122.165,
	$PORT 7662,
	)

rt::RealmTable(con)
 
udpReceive::Socket("udp", 0.0.0.0, $PORT) //Receives packets from la
udpSend::Socket("udp", $DEST_IP, $PORT) //Sends packets to the next hop(houston)
udpPrevious::Socket("udp", $PREVIOUS_IP, $PORT)

con::IcingConfig
  ( K  $K,
    OUR_REALMID $CURRENT_REALM,
//May not need next two lines?
	OUR_PRIV_K $PRIVK,
    REALMTABLE  rt,
    MODE Overlay)


udpReceive
    -> Print("IO recv")
    -> IcingPrint()
    -> ic::IcingCheck()
    -> cc::CheckCurrentRealm(CONFIG con)
    -> cn::CheckNextHop(CONFIG con)
    -> ar::AddRealmEntries(CONFIG con)
    -> nr::NextRealm()
    -> IcingRegularSwitch(CONFIG con)
    -> UDPIPEncap2($SRC_IP, $PORT, DST_ANNO, DST_PORT_ANNO)
    -> IPFragmenter(1500)
    -> SimpleQueue()
    -> RawSocket("UDP")

ic[1] -> Print('icing check failed') -> Discard
cc[1] -> Print('realm check failed') -> Discard
cn[1] -> Print('unknown next hop') -> Discard
ar[1] -> Print('add realm entries') -> Discard
//ic2[1] -> Print('icing check failed') -> Discard
//vv[1] -> Print('vtags failed') -> IcingPrint() -> Discard

// hard-coded dummy value
Script(write rt.add_realm $REALM_0 pci_neigh 64.57.23.82 7662)
//Can be: non_neigh, phys_neigh, or pci_neigh... which one do we want here?
Script(write rt.add_realm $REALM_1 pci_neigh 128.83.122.165 7662)
ControlSocket("TCP", 4662)
