#!/usr/bin/perl

use List::Util qw(sum);

foreach(@ARGV)
{
	my @lines = `cat $_`;
	my @values = ();
	my $file = "$_.dat";

	system("echo '' > $file");
	foreach(@lines)
	{
		chomp $_;

		unless(/#/ or $_ eq "")
		{
			@vals = split(/, /, $_);
			{
				for(0 .. $#vals)
				{
					unless (exists $values[$_])
					{
						$values[$_] = [];
					}
					push @{$values[$_]}, $vals[$_];
				}
			}
		}
	}

	system("echo 'Mean, Stdv' >> $file");
		foreach(@values)
		{
			my $i = $_;
			my @inner = @{$i};
			my $mean = sum(@inner) / scalar(@inner);
			my @deviations = map { ($_ - $mean) ** 2 } @inner;
			my $stdev = 0;
			$stdev = sqrt( sum(@deviations) / (scalar@deviations) - 1.0 )
				unless scalar(@deviations) == 1;

			system("echo '$mean, $stdev' >> $file");
		}
}
