#!/usr/bin/perl

use List::Util qw(sum);

foreach(@ARGV)
{
	my @lines = `cat $_`;
	my @values = ();

	my $file = "$_.summary";

	system("echo '' > $file");
	foreach(@lines)
	{
		chomp $_;

		push @values, $_ unless /#/ or $_ eq "";
	}

	system("echo '#Mean\tStdDev' > $file");

	my $mean = sum(@values) / scalar(@values);
	my @deviations = map { ($_ - $mean) ** 2 } @values;
	my $stdev = 0;
	$stdev = sqrt( sum(@deviations) / (scalar(@deviations) - 1.0) )
			unless scalar(@deviations) == 1;

	system("echo '$mean\t$stdev' >> $file");
}
