/********************************************************************
 * File: libnf2sim.c
 * Author: Jad Naous
 * Description: implements the API from nf2util.h but just prints out
 *              reads/writes
 ********************************************************************/

#include <stdio.h>
#include <netfpga/nf2util.h>

int readReg(struct nf2device *nf2, unsigned reg, unsigned *val){
  printf("R:%08x\n", reg);
}

int writeReg(struct nf2device *nf2, unsigned reg, unsigned val) {
  printf("W:%08x:%08x\n", reg, val);
}

int check_iface(struct nf2device *nf2) {
  return 0;
}
int openDescriptor(struct nf2device *nf2) {
  return 0;
}
int closeDescriptor(struct nf2device *nf2) {
  return 0;
}
void nf2_read_info(struct nf2device *nf2) {}
void printHello (struct nf2device *nf2, int *val) {
  printf("Hello %i: libnf2sim!\n", *val);
}
