#!/usr/bin/perl -w

use strict;
use warnings;
use List::Util qw(min);

my $num_hosts = 4;
my $host_num_start = 33;

my $runfile_loc = "/home/icing/";
my $forwarder_bitfile = "/home/icing/nfs/NF2/icing3_forwarder_vanilla.bit";

system("./gen_pcaps.pl");
system("./gen_runs.pl");

foreach my $i(0..$num_hosts-1) {
    my $host = $host_num_start+$i*2;
    print "Setting up nfcm$host\n";
    system("scp nfcm${host}.run nfcm${host}:${runfile_loc}");
    system("ssh nfcm${host} 'sudo nf2_download /usr/share/netfpga/bitfiles/packet_generator.bit'");
}

foreach my $i(0..$num_hosts-1) {
    my $host = $host_num_start+$i*2-1;
    print "Setting up nfcm$host\n";
    system("ssh nfcm${host} 'sudo nf2_download ${forwarder_bitfile}'");
    #system("ssh nfcm${host} 'sudo /home/icing/nfs/NF2/projects/icing2_forwarder/sw/cli -c 10 -w 10'");
    # here should go the command for initializing the forwarder (and the scp to get it there)
}

foreach my $i(0..$num_hosts-1) {
    my $host = $host_num_start+$i*2-1;
    print "Starting packet generator on nfcm$host\n";
    system("ssh nfcm${host} 'sudo bash ${runfile_loc}/nfcm${host}.run &");
}

# now get the data back from the system or something?
