onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Literal -radix hexadecimal /testbench/NUM_MONITORED_SIGS
add wave -noupdate -format Literal -radix hexadecimal /testbench/SIG_VALUE_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/DATA_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/TIMER_RES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/ALL_SIG_VALUES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/NUM_MON_SIGS_SIZE
add wave -noupdate -format Logic -radix hexadecimal /testbench/reset_timers
add wave -noupdate -format Logic -radix hexadecimal /testbench/enable_events
add wave -noupdate -format Literal -radix hexadecimal /testbench/monitor_mask
add wave -noupdate -format Literal -radix hexadecimal /testbench/tmr_resolution
add wave -noupdate -format Literal -radix hexadecimal /testbench/evts_dropped
add wave -noupdate -format Literal -radix hexadecimal /testbench/signals
add wave -noupdate -format Literal -radix hexadecimal /testbench/signal_values
add wave -noupdate -format Literal -radix hexadecimal /testbench/event_data
add wave -noupdate -format Logic -radix hexadecimal /testbench/event_avail
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_wr_rdy
add wave -noupdate -format Logic -radix hexadecimal /testbench/new_evt_pkt
add wave -noupdate -format Logic -radix hexadecimal /testbench/reset
add wave -noupdate -format Logic -radix hexadecimal /testbench/clk
add wave -noupdate -format Literal -radix hexadecimal /testbench/clk_cntr
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/NUM_MONITORED_SIGS
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/SIG_VALUE_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/DATA_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/TIMER_RES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/ALL_SIG_VALUES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/NUM_MON_SIGS_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/SHORT_EVT_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/LONG_EVT_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/EVT_TYPE_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/TIME_DIFF_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/TIMESTAMP_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/NUM_RESOLUTIONS
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/reset_timers
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/enable_events
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/monitor_mask
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/tmr_resolution
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/evts_dropped
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/signals
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/signal_values
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/event_data
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/event_avail
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/evt_wr_rdy
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/new_evt_pkt
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/reset
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/clk
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/local_reset
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/ts_evt_sig
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/evt_data
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/evt_signals
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/evt_time_diff
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/time_diff_counter
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/time_diff_scale
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/time_diff_out
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/time_diff_wrap_sig
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/time_diff_wrap
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/time_diff_wrap_sig_previous
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/time_diff_rst
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/timestamp_counter
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/timestamp_out
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/timestamp_scale
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/timestamp_rst
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/ordered_event_indices
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/events_to_store
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/num_events
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/event_fifo_full
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/evt_fifo_empty
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/NUM_ENTRIES
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/NUM_ENTRIES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/ALL_ENTRIES_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/valid_entries
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/ordered_entries
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/num_valid_entries
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/shifted_entries
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/ORed_entries
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/parametrizable_packer/zero_num
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/INPUT_WORD_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/NUM_INPUTS
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/OUTPUT_WORD_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/DEPTH_BITS
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/NUM_INPUTS_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/DEPTH
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/d_in
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/increment
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wr_en
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/rd_en
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/d_out
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/empty
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/full
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/clk
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/rst
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wr_ptr
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/rd_ptr
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wr_en_ram
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wr_ptr_next
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/rd_ptr_next
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/INPUT_WORD_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/NUM_INPUTS
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/OUTPUT_WORD_SIZE
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/DEPTH_BITS
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/DEPTH
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/d_in
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/wr_en
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/wr_addr
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/rd_addr
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/d_out
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/clk
add wave -noupdate -format Logic -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/rst
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/fifo_reg
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/i
add wave -noupdate -format Literal -radix hexadecimal /testbench/evt_rcrdr/wide_port_fifo/wide_port_ram/d_in_words
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {153000 ps} 0}
configure wave -namecolwidth 267
configure wave -valuecolwidth 163
configure wave -justifyvalue left
configure wave -signalnamewidth 2
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {72494 ps} {281664 ps}
