#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

#define PERROR(x) {perror(x); exit(1); }

int main(int argc, char** argv)
{
    const char* alpha = "abcdefghijklmnopqrstuvwxyz";
    sockaddr_in sin;

    int s = socket(AF_INET, SOCK_DGRAM, 0);
    if (s == -1)
	PERROR("socket");

    memset(&sin, 0, sizeof(sockaddr_in));
    sin.sin_family = AF_INET;
    sin.sin_port = htons(0x1234);
    sin.sin_addr.s_addr = inet_addr("192.168.39.3");

    if (sendto(s, alpha, 26, 0, (sockaddr*)&sin, sizeof(sin)) < 26)
	PERROR("socket");

    return 0;
}
