// -*-c++-*-
/* $Id: $ */

/*
 *
 * Copyright (C) 2009 Antonio Nicolosi (nicolosi@cs.stevens.edu)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 */

/* 
 * Sources
 * 
 *   [list sources here]
 */

#ifndef _MR_WRAP_H_
#define _MR_WRAP_H_

#include "ec2.h"
#include "big.h"
#include "miracl.h"

#include "ecc.h"

void miracl_from_sfs (Big& B, bigint& b);

void sfs_from_miracl (bigint& b, Big& B);

void miracl_from_b163 (EC2& G, b163_point& P);

void miracl_from_b163 (Big& x, b163_elem& xx);

void b163_from_miracl (b163_point& P, EC2& G);
 
void b163_from_miracl (b163_elem& xx, Big& x);

#endif /* !_MR_WRAP_H_ */
