require(icing)

AddressInfo(eth6 00:0C:42:07:19:18,
	    nf2c0 00:00:ca:fe:00:01)

define(
       $SOURCE_REALM \< E9A3467B5326C91885265F1C36812184FA071932 \>,
       $FORWARDER_REALM  \< 3ACAA261E5D83DBCC15694D3733B5FDD9745E202 \>,
       $NEXT_REALM0 \< DCB507F713E9CB734AD5813C5674A217DCF3127B \>,
       $FORWARDER_K abcdefghijklmnop,
       $NEXT_K ponmlkjihgfedcba,
       $SOURCE_PRIVK \< 04817E175CF74E6E78D6A12FFA5E29C0F0BE68EC25 \>,
       $FORWARDER_PRIVK \< 064D8A0C9DE692D08BA0D10840846F2540B0D6BC0D \>,
       )

con::IcingConfig(
	K $FORWARDER_K,
	OUR_REALMID $FORWARDER_REALM,
	OUR_PRIV_K $FORWARDER_PRIVK,
	REALMTABLE rt,
	MODE Overlay)

rt::RealmTable(con)

IcingSource(SECRET1 $FORWARDER_K,
	    SECRET2 $NEXT_K,
	    REALM0 $SOURCE_REALM,
	    REALM1 $FORWARDER_REALM,
	    REALM2 $NEXT_REALM0,
	    PRIVK $SOURCE_PRIVK,
	    G1 1,
	    G2 1,
	    V1 16,
            V2 16,
            INTERVAL 10)
//    -> vv::VtagVerify(CONFIG con)
    -> t::Tee
    -> EtherEncap(0x9090, eth6:eth, nf2c0:eth)
    -> Print(MAXLENGTH 1000)
    -> SimpleQueue()
    -> ToDevice(eth6)

t[1]
    -> VtagProcess(CONFIG con)
    -> nr::NextRealm
    -> IcingPrint
    -> Discard

nr[1] -> IcingPrint -> Discard

 //vv[1] -> Print('vtag verif failed') -> Discard
