#ifndef ICP_CONFIG_H_
#define ICP_CONFIG_H_
#include "util.h"
#include "ecdh.h"
#include "converthex.h"

void add_key(keydb_t *, vec<str>, str, bool *);
void add_path(keydb_t *, ps_partialpath *, vec<str>, str, bool *);
void add_privk(ecdh_priv *, vec<str>, str, bool *);

vec<uint8_t> convertFromHex(const char *, int);
void convertFromHex(icp_pubkey &realmid, const char *, int);

#endif /* ICP_CONFIG_H_ */
