#include "util.h"
#include "pathserver.h"

class Test
{
	Pathserver ps;
	public:
	Test() : ps(1025)
	{}

	void run()
	{
		ps.init_from_file("test/server_init");
		warn << "REALM: " << ps.ps_realm.base() << "\n";

		icp_pubkey h;
		h = str("h");

		warn << ps.pathdb[h]->waypoints[0].waypoint.base() << "\n";
		warn << ps.pathdb[h]->waypoints[0].paths[1].waypoints[2].base() <<
			"\n";

		if(ps.root)
			warn << "TRUE\n";
		
		warn << ps.psdb[str("h.com")]->server << "\n";
		warn << ps.hostdb[str("master.h.com")]->realm.base() << "\n";
	}
};

int main()
{
	Test test;
	test.run();
	return 0;
}
