function stats = get_stats(data)

PATHLEN_COL = 1;
THR_COL = 2;

% get the path lengths
[N,X] = hist(data(:, PATHLEN_COL), 0:40);
idx = logical(N > 0);
path_lens = X(idx);

% calculate std_devs and means
stats = [];
for i = path_lens
    idx = logical(data(:, PATHLEN_COL) == i);
    data_t = data(idx,:);
    data_t(:, THR_COL);
    a = mean(data_t(:, THR_COL));
    s = std(data_t(:, THR_COL));
    stats = [stats; i a s];
end
