#!/usr/bin/perl

use List::Util qw(sum);

foreach(@ARGV)
{
	my @lines = `cat $_`;
	my %values = ();
	my @name = split(/\./, $_);
	my $file = "$_.dat";

	system("echo '' > $file");
	foreach(@lines)
	{
		chomp $_;

		unless(/#/ or $_ eq "")
		{
			@vals = split(/, /, $_);
			my $len = shift @vals;
			if(not $len eq "")
			{
				unless (exists $values{$len})
				{
					print "$len\n";
					$values{$len} = [];
				}

				my $set = $values{$len};
				#push @{$values{$len}}, $val;
				print "$len - " . scalar(@set) . "\n";

				for(0 .. $#vals)
				{
#					print "$vals[$_] ";
					print "$len + $_";
					unless (exists $set->[$_])
					{
						print "here ";
						$set->[$_] = [];
					}
					push @{$set->[$_]}, $vals[$_];
					print "@{$set->[$_]}\n";
				}
			}
		}
	}

	my @keys = sort {$a <=> $b} keys %values;
	system("echo 'PathLen, Mean, Stdv, Mean, Stdv ...' >> $file");
	foreach(@keys)
	{
		my $string = $_;
		my @list = @{$values{$_}};
		foreach(@list)
		{
			my $i = $_;
			my @inner = @{$i};
			my $mean = sum(@inner) / scalar(@inner);
			my @deviations = map { ($_ - $mean) ** 2 } @inner;
			my $stdev = 0;
			$stdev = sqrt( sum(@deviations) / (scalar@deviations) - 1.0 )
				unless scalar(@deviations) == 1;

			$string .= ", $mean, $stdev";
		}
		system("echo '$string' >> $file");
	}
}
