/*
 * $Id$
 * Author: Drew Mazurek
 *
 * Copyright (c) 2008, Stanford University
 */

#ifndef _I_DRR_REG_DEFINES_
#define _I_DRR_REG_DEFINES_

#define DRR_OQ_QUEUE0_NUM_DROP_REG       0x2000900
#define DRR_OQ_QUEUE1_NUM_DROP_REG       0x2000904
#define DRR_OQ_QUEUE2_NUM_DROP_REG       0x2000908
#define DRR_OQ_QUEUE3_NUM_DROP_REG       0x200090c
#define DRR_OQ_QUEUE4_NUM_DROP_REG       0x2000910
#define DRR_OQ_SLOW_FACTOR_REG           0x2000914
#define DRR_OQ_QUEUE0_CREDIT_REG         0x2000918
#define DRR_OQ_QUEUE1_CREDIT_REG         0x200091c
#define DRR_OQ_QUEUE2_CREDIT_REG         0x2000920
#define DRR_OQ_QUEUE3_CREDIT_REG         0x2000924
#define DRR_OQ_QUEUE4_CREDIT_REG         0x2000928
#define DRR_OQ_QUANTUM_REG               0x200092c
#define DRR_OQ_QUEUE0_OCCUPANCY_REG      0x2000930
#define DRR_OQ_QUEUE1_OCCUPANCY_REG      0x2000934
#define DRR_OQ_QUEUE2_OCCUPANCY_REG      0x2000938
#define DRR_OQ_QUEUE3_OCCUPANCY_REG      0x200093c
#define DRR_OQ_QUEUE4_OCCUPANCY_REG      0x2000940

#define DRR_OQ_STATE1_REG                0x2000944
#define DRR_OQ_STATE2_REG                0x2000948
#define DRR_OQ_STATE3_REG                0x200094c
#define DRR_OQ_REQUEST_FIFO_EMPTY_REG    0x2000950

#define DRR_OQ_COUNT_REG                 0x2000954

#define DRR_QCLASS_Q0_NUM_PKTS_REG       0x2000a00
#define DRR_QCLASS_Q1_NUM_PKTS_REG       0x2000a04
#define DRR_QCLASS_Q2_NUM_PKTS_REG       0x2000a08
#define DRR_QCLASS_Q3_NUM_PKTS_REG       0x2000a0c
#define DRR_QCLASS_Q4_NUM_PKTS_REG       0x2000a10
#define DRR_QCLASS_POLICY_REG            0x2000a14
#define DRR_QCLASS_Q0_TOS_REG            0x2000a18
#define DRR_QCLASS_Q1_TOS_REG            0x2000a1c
#define DRR_QCLASS_Q2_TOS_REG            0x2000a20
#define DRR_QCLASS_STRING_POLICY0_REG    0x2000a24
#define DRR_QCLASS_STRING_POLICY1_REG    0x2000a28
#define DRR_QCLASS_STATE_REG             0x2000a2c

#endif
