/* Register macros */
`define HARDWIRE_LOOKUP_REG_ADDR_WIDTH       `UDP_BLOCK_SIZE_64_REG_ADDR_WIDTH
`define HARDWIRE_LOOKUP_BLOCK_ADDR_WIDTH     `UDP_BLOCK_SIZE_64_BLOCK_ADDR_WIDTH
`define HARDWIRE_LOOKUP_BLOCK_ADDR           `HARDWIRE_LOOKUP_BLOCK_ADDR_WIDTH'h8
`define HARDWIRE_LOOKUP_BLOCK_TAG            ({`UDP_BLOCK_SIZE_64_TAG, `HARDWIRE_LOOKUP_BLOCK_ADDR})

/* Internal register addresses */
// Start of the output_ports registers
`define HARDWIRE_OUTPUT_PORTS_BASE           `HARDWIRE_LOOKUP_REG_ADDR_WIDTH'h0

`define HARDWIRE_OUTPUT_PORTS_BASE_REG         (`UDP_BASE_ADDRESS | {`HARDWIRE_LOOKUP_BLOCK_TAG, `HARDWIRE_OUTPUT_PORTS_BASE})

`define PRINT_USER_REG_ADDRESSES                                                                                                                   \
  $fwrite(c_reg_defines_fd, "#define HARDWIRE_OUTPUT_PORTS_BASE_REG      0x%07x\n\n", `HARDWIRE_OUTPUT_PORTS_BASE_REG<<2)
