#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "Groestl-ref.h"

BitSequence hashval[64];

int main(int argc, char *argv[]) {
  int retval = 0;
  int databitlen;
  BitSequence *data;
  BitSequence *data_ptr;
  char *arg_ptr;
  char *hashval_ptr;
  int i;

  /* require one arg which is the data to be hashed in hex */
  if(argc < 2) {
    exit(1);
  }

  /* four bits per hex digit */
  databitlen = strlen(argv[1])*4;

  /* allocate in bytes and copy data */
  data = (BitSequence *) malloc(databitlen/8);
  arg_ptr = argv[1];
  data_ptr = data;
  while(*arg_ptr) {
    sscanf(arg_ptr, "%2hhx", data_ptr);
    arg_ptr+=2; data_ptr++;
  }

  /* Calculate the hash and print it */
  retval = Hash(256, data, databitlen, hashval);
  hashval_ptr = hashval;
  for(i = 0; i < 32; i++) {
    printf("%02x", 0xff&(*hashval_ptr++));
  }
  printf("\n");
  return retval;
}
