#!/usr/bin/perl -w

use strict;
use warnings;
use List::Util qw(min);

# path_len -> path_idx -> payload_size
my %experiment = (
#		  3 => { 1 => [0, 1514]},
#		  7 => { 1 => [0, 1514],
#			 3 => [0, 256, 512, 1024, 1514],
#			},
#		  10 => { 1 => [0, 1514],
#			},
		  20 => { #1 => [0, 1514],
			  5 => [1514],
			  10 => [1514],
			  15 => [1514],
			  18 => [1514],
			},
#		  30 => { 1 => [0, 1514],
#			},
#		  35 => { 1 => [0, 1514]},
		 );

system("rm -f pkt.*.pcap");

foreach my $path_len (keys %experiment) {
  my %idx_hash = %{$experiment{$path_len}};
  foreach my $path_idx (keys %idx_hash) {
    my @payload_lens = @{$idx_hash{$path_idx}};
    foreach my $payload_len (@payload_lens) {
      foreach my $port (0..3) {
	my $overhead_len = 14 + 14 + ($path_len-1)*40 + 24;
	$payload_len = min(1514-$overhead_len,  $payload_len);
	my $total_len = $overhead_len + $payload_len + 20;
	system("./helper.sh eth8 $path_idx $path_len $payload_len $port $total_len");
      }
    }
  }
}

