extern "C"
{
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
}

#define PERROR(x) { perror(x); exit(1); }

int
main()
{
	const char *alpha = "abcdefghijklmnopqrstuvwxyz";
	sockaddr_in sin;

	int fd = socket(AF_INET, SOCK_DGRAM, 0);
	int sent;
	if(fd == -1)
		PERROR("socket");

	bzero(&sin, sizeof(sin));
	sin.sin_family = AF_INET;
	sin.sin_port = htons(4062);
	sin.sin_addr.s_addr = inet_addr("192.168.0.2");

	printf("HERE!\n");
	if((sent = sendto(fd, alpha, 26, 0, (sockaddr *)&sin, sizeof(sin))) < 26)
		PERROR("send");
	printf("%d\n", sent);
	return 0;
}
